usplash receives repeated "CLEAR" commands while in verbose mode

Bug #458389 reported by Kees Cook on 2009-10-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
mountall (Ubuntu)
Low
Kees Cook
Karmic
Low
Kees Cook

Bug Description

Binary package hint: mountall

mountall is repeatedly sending "CLEAR" commands to usplash, which renders non-quiet mode rather useless. CLEAR should only be used when redrawing the fsck progress.

ProblemType: Bug
Architecture: amd64
Date: Thu Oct 22 10:54:17 2009
DistroRelease: Ubuntu 9.10
Package: mountall 0.2.5
ProcEnviron:
 LANGUAGE=en_US.UTF-8
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
SourcePackage: mountall
Uname: Linux 2.6.31-13-generic x86_64

Kees Cook (kees) wrote :
Kees Cook (kees) wrote :

Here is a video, to demonstrate. I booted with "quiet" removed from kernel cmdline, and hit esc at disk-checks.

Changed in mountall (Ubuntu):
status: New → Fix Committed
milestone: none → ubuntu-9.10
Changed in mountall (Ubuntu Karmic):
assignee: nobody → Kees Cook (kees)
importance: Undecided → Low
Johan Kiviniemi (ion) wrote :

Instead of changing anything in mountall, how about disabling the usplash CLEAR command when in verbose mode? Perhaps even disabling usplash itself in verbose mode?

Johan Kiviniemi (ion) wrote :

The mountall change for this bug unfixes bug #215666.

On Fri, Oct 23, 2009 at 07:13:34AM -0000, Johan Kiviniemi wrote:
> Instead of changing anything in mountall, how about disabling the
> usplash CLEAR command when in verbose mode? Perhaps even disabling
> usplash itself in verbose mode?

CLEAR is useful for a few situations. Disabling it in verbose mode
doesn't seem right, and disabling usplash all-together would be a really
nasty regression.

--
Kees Cook
Ubuntu Security Team

Kees Cook (kees) wrote :

On Fri, Oct 23, 2009 at 07:26:43AM -0000, Johan Kiviniemi wrote:
> The mountall change for this bug unfixes bug #215666.

I don't believe that to be a bug -- why would I want the status of my fsck
to vanish the instant it finishes?

--
Kees Cook
Ubuntu Security Team

Johan Kiviniemi (ion) wrote :

Kees,

The main issue with #215666 was strings like “one of the mounts listed in fstab cannot yet be mounted” being left on the screen after the mount was in fact successful.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mountall - 1.0

---------------
mountall (1.0) karmic; urgency=low

  [ Kees Cook ]
  * Call out to restorecon after mounting tmpfs filesystems. LP: #456942.

  [ Johan Kiviniemi ]
  * Fix a bug introduced by the 0.2.6 change. In certain situations, we’d
    quit even though we’re still waiting for some filesystems to be
    mounted. LP: #456806.

  [ Scott James Remnant ]
  * Don't clear the splash screen when we're waiting for filesystems,
    instead just output following whatever else is there. In non-verbose
    mode this won't look any different, but it means we don't clear previous
    verbose mode text. LP: #458389.
  * Only update the "waiting for one or more mounts" text if there's actually
    a change in the set we're waiting for; this removes the need for a CLEAR
    this case anyway.
  * Don't say we're waiting for mounts we're, in fact, not waiting
    for. LP: #459859.
  * Stop mountall (normally) when entering recovery mode. LP: #458060.

  * Clean up source tarball. LP: #460348.

 -- Scott James Remnant <email address hidden> Mon, 26 Oct 2009 09:30:41 +0000

Changed in mountall (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers